flutter_toolbox 1.3.3

flutter_toolbox #

Common flutter widgets and helper methods.

Getting Started #

This project is a starting point for a Flutter plug-in package, a specialized package that includes platform-specific implementation code for Android and/or iOS.

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

1.3.3 #

  • rename net_image to NetImage.

1.3.2 #

  • updated cached_network_image.
  • added flutter_cache_manager to make pub happy.

1.3.1 #

  • Wrap the progressPar of the netImage into center

1.3.0 #

  • Added NetImage

1.2.0 #

  • change d() to take object not just a string to totally replace print().

1.1.0 #

  • No changes just update to indicate breaking change.

1.0.3 #

  • Remove common_button and common_text_field.

1.0.2 #

  • Export all important files.

1.0.1 #

  • Fix gradle build problems and update kotlin and gradle versions.

1.0.0 #

  • initial release.

example/README.md

flutter_toolbox_example #

Demonstrates how to use the flutter_toolbox plugin.

Getting Started #

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  flutter_toolbox: ^1.3.3

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:flutter_toolbox/flutter_utils.dart';
import 'package:flutter_toolbox/generated/i18n.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
38
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
72
Overall:
Weighted score of the above. [more]
63
Learn more about scoring.

We analyzed this package on Jul 16, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.4.0
  • pana: 0.12.19
  • Flutter: 1.7.8+hotfix.3

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Fix lib/src/ui/loading_builder.dart. (-0.50 points)

Analysis of lib/src/ui/loading_builder.dart reported 1 hint:

line 112 col 16: This function has a return type of 'Widget', but doesn't end with a return statement.

Format lib/generated/i18n.dart.

Run flutter format to format lib/generated/i18n.dart.

Format lib/src/ui/time_picker_field.dart.

Run flutter format to format lib/src/ui/time_picker_field.dart.

Format lib/src/ui/toast.dart.

Run flutter format to format lib/src/ui/toast.dart.

Maintenance issues and suggestions

Support latest dependencies. (-10 points)

The version constraint in pubspec.yaml does not support the latest published versions for 1 dependency (flushbar).

The package description is too short. (-18 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
async ^2.1.0 2.2.0
cached_network_image ^1.1.0 1.1.0
chopper ^2.4.0 2.4.2
flushbar >=1.5.2 <1.5.3 1.5.2 1.7.1+1
flutter 0.0.0
flutter_cache_manager ^1.1.0 1.1.0
flutter_localizations 0.0.0
fluttertoast ^3.1.0 3.1.0
http ^0.12.0+2 0.12.0+2
image_picker ^0.6.0+9 0.6.0+17
intl ^0.15.8 0.15.8
intl_translation ^0.17.5 0.17.5
json_annotation ^2.0.0 2.4.0
path ^1.6.2 1.6.2
shared_preferences ^0.5.3+1 0.5.3+4
stack_trace ^1.9.3 1.9.3
Transitive dependencies
analyzer 0.36.4 0.37.0
args 1.5.2
charcode 1.1.2
collection 1.14.11
convert 2.1.1
crypto 2.0.6
csslib 0.16.1
dart_style 1.2.9
front_end 0.1.19 0.1.20
glob 1.1.7
html 0.14.0+2
http_parser 3.1.3
kernel 0.3.19 0.3.20
logging 0.11.3+2
meta 1.1.6 1.1.7
package_config 1.0.5
path_provider 1.1.2
pedantic 1.8.0+1
petitparser 2.4.0
pub_semver 1.4.2
sky_engine 0.0.99
source_span 1.5.5
sqflite 1.1.6+1
string_scanner 1.0.4
synchronized 2.1.0+1
term_glyph 1.1.0
typed_data 1.1.6
uuid 2.0.2
vector_math 2.0.8
watcher 0.9.7+12
yaml 2.1.16
Dev dependencies
build_runner ^1.1.3
flutter_test
json_serializable

Admin